10.6.4 question, please help a newb

Discussion in 'Mac Basics and Help' started by Steamdog, Oct 13, 2010.

  1. Steamdog macrumors newbie

    Joined:
    Oct 13, 2010
    #1
    Hello everyone,
    In case it isn't obvious by the fact that I'm even posting in this section : I'm pretty clueless when it comes to my mac, as easy as it is to use. So please bear with me.
    I need to update to 10.6.4. I am currently running 10.5.8. The new update isn't available as a software update. I am curious as to why this is. Do I have to purchase it?
    I attempted to download it from apple.com, but my mac tells me I need version 10.6, which I am having trouble finding.
     
  2. GGJstudios macrumors Westmere

    GGJstudios

    Joined:
    May 16, 2008
    #2
    Yes.
     
  3. rprebel macrumors 6502

    rprebel

    Joined:
    Aug 22, 2010
    Location:
    Where the bluebonnets bloom
    #3
    It's right here. $30 and you've got 10.6, then you'll be able to use software update to get to 10.6.4.
     
  4. Hellhammer Moderator

    Hellhammer

    Staff Member

    Joined:
    Dec 10, 2008
    Location:
    Finland
    #4
    You are currently running Leopard which is 10.5.x. In order to run 10.6.x, you need to purchase and install Snow Leopard
     
  5. Steamdog thread starter macrumors newbie

    Joined:
    Oct 13, 2010
    #5
    gotcha. Thanks for the quick replies, and forgive me for my ignorance lol.
     
  6. old-wiz macrumors G3

    Joined:
    Mar 26, 2008
    Location:
    West Suburban Boston Ma
    #6
    And you need an Intel processor to upgrade to Snow Leopard.
     
  7. FourCandles macrumors 6502a

    Joined:
    Feb 10, 2009
    Location:
    England
    #7
    ^^^ This is crucial - OP, if you're unsure then before spending money go to :apple:>About This Mac and post here what it says next to "Processor".
     

Share This Page